<?php

include "example.php";


 // add the admin options page
add_action('admin_menu', 'plugin_admin_add_page');

 $plugin_dir = basename(dirname(__FILE__));
 load_plugin_textdomain( 'nextgen_gallery_geo', false, $plugin_dir );
 
function plugin_admin_add_page() {
add_options_page('NextGEN Gallery Geo', 'NextGEN Gallery Geo', 'manage_options', 'ngg-geo', 'ngg_geo_plugin_options_page');
}

// add the admin settings and such
add_action('admin_init', 'plugin_admin_init');

function plugin_admin_init(){
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_geocoding_provider' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_geocoding_key' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_auto' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_zoom_level' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_map_height' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_map_width' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_map_type' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_map_route' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_map_bev' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_exif' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_pushpins' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_worldmap' );
register_setting( 'ngg_geo_plugin_options', 'ngg_geo_worldmap_page' );

}

 // display the admin options page
function ngg_geo_plugin_options_page() {
?>
<div class="wrap">
<h2>NextGEN Gallery Geo</h2>
<br />
<? printf(__('NextGEN Gallery geo is a add-on for the %1$s plugin of %2$s, and does only work with this plugin.', 'nextgen-gallery-geo'), '<a href="http://wordpress.org/extend/plugins/nextgen-gallery/" title="Nextgen-Gallery Plugin" target="_blank">Nextgen-Gallery</a>', '<a href="http://alexrabe.de/" title="alexrabe.de" target="_blank">alexrabe</a>'); ?><br />
<? printf(__('%1$s is a plugin written by %2$s.', 'nextgen-gallery-geo'), '<a href="http://wordpress.org/extend/plugins/nextgen-gallery-geo/" title="NextGEN Gallery Geo" target="_blank">NextGEN Gallery Geo</a>', '<a href="http://www.denktfrei.de" title="frest.de" target="_blank">Frederic Stuhldreier</a>'); ?>
<br />
<br /><br />
<form action="options.php" method="post">
<?php settings_fields('ngg_geo_plugin_options'); ?>
<?php do_settings_sections('plugin'); ?>

				<div id="sm_rebuild" class="postbox">
				<h3 style="font-family:Verdana, Geneva, sans-serif;"><p>&ensp;&ensp;<? _e('Geocoding', 'nextgen-gallery-geo'); ?>   </p></h3>
				<div class="inside">
                
                <h4>Geocoding-Provider</h4>

                    <input type="radio" name="ngg_geo_geocoding_provider" value="google_v2" <?php if (get_option('ngg_geo_geocoding_provider') == "google_v2") {echo "checked";} ?>> Google Maps Geocoder (v2)<br>
                    <input type="radio" name="ngg_geo_geocoding_provider" value="google_v3" <?php if (get_option('ngg_geo_geocoding_provider') == "google_v3") {echo "checked";} if ($ngg_geo_geocoding_provider = get_option('ngg_geo_geocoding_provider')) {} else {echo "checked";}  ?>> Google Maps Geocoder (v3)<br>
                    <input type="radio" name="ngg_geo_geocoding_provider" value="openstreetmaps" <?php if (get_option('ngg_geo_geocoding_provider') == "openstreetmaps") {echo "checked";} ?>> Openstreetmaps Nominatim<br>
                    <input type="radio" name="ngg_geo_geocoding_provider" value="yahoo" <?php if (get_option('ngg_geo_geocoding_provider') == "yahoo") {echo "checked";} ?>> Yahoo! PlaceFinder <br /><br />
                     <input type="radio" name="ngg_geo_geocoding_provider" value="no" <?php if (get_option('ngg_geo_geocoding_provider') == "no") {echo "checked";} ?>><? _e('disable geocoding', 'nextgen-gallery-geo'); ?> <br /><br />
                    <span class="description"><? _e('The geocoding-function tries to to geocode the gallery-name, if there are no coordinates available. The usage of Google geocoding is only allowed, if you use google maps as well. If you want to use Yahoo!, you need a free AppID.', 'nextgen-gallery-geo'); ?></span>
                     <h4>AppID</h4>
                    <input type="text" class="regular-text" name="ngg_geo_geocoding_key" value="<?php echo get_option('ngg_geo_geocoding_key'); ?>" /><br /><span class="description"><? printf(__('AppID for Geocoding (required for Yahoo!)', 'nextgen-gallery-geo'), '<a href="https://developer.apps.yahoo.com/dashboard/createKey.html" title="Yahoo! Place Finder" target="_blank">'); ?></span>

                </div>
				</div>
                

				<div id="sm_rebuild" class="postbox">
				<h3 style="font-family:Verdana, Geneva, sans-serif;"><p>&ensp;&ensp;<? _e('Map-layout', 'nextgen-gallery-geo'); ?>   </p></h3>
				<div class="inside">
					<h4><? _e('Zoomlevel', 'nextgen-gallery-geo'); ?></h4>
                    <input type="text" class="regular-text" name="ngg_geo_zoom_level" value="<?php if ($ngg_geo_zoom_level = get_option('ngg_geo_zoom_level')) {echo $ngg_geo_zoom_level;} else {echo 10;} ?>" /><br /><span class="description"><? _e('Which zoomlevel should be used? (maps with several pins are focused automatically)', 'nextgen-gallery-geo'); ?></span><br />
                    <h4><? _e('Map-height', 'nextgen-gallery-geo'); ?></h4>
                    <input type="text" class="regular-text code" name="ngg_geo_map_height" value="<?php if ($ngg_geo_map_height =  get_option('ngg_geo_map_height')) {echo $ngg_geo_map_height; if (is_numeric($ngg_geo_map_height)) {echo "px";}} else echo "400px"  ?>" /><br /><span class="description"><? _e('You can use something like 235px or 78% - 235 does not work! <br> Height and width of the maps can be changed directly by using CSS. The class is named <code>ngg_geo_map</code>', 'nextgen-gallery-geo'); ?></span><br />
                    <h4><? _e('Map-width', 'nextgen-gallery-geo'); ?></h4>
					<input type="text" class="regular-text code" name="ngg_geo_map_width" value="<?php if ($ngg_geo_map_width =  get_option('ngg_geo_map_width')) {echo $ngg_geo_map_width; if (is_numeric($ngg_geo_map_width)) {echo "px";}} else echo "400px"  ?>" /><br />
                    <h4><? _e('Map-style', 'nextgen-gallery-geo'); ?></h4>
                    <input type="radio" name="ngg_geo_map_type" value="Aerial" <?php if (get_option('ngg_geo_map_type') == "Aerial") {echo "checked";} if ($ngg_geo_map_type = get_option('ngg_geo_map_type')) {} else {echo "checked";} ?>> Aerial<br><br />
       				<input type="radio" name="ngg_geo_map_type" value="Hybrid" <?php if (get_option('ngg_geo_map_type') == "Hybrid") {echo "checked";} ?>> Hybrid<br><br />
       				<input type="radio" name="ngg_geo_map_type" value="Road" <?php if (get_option('ngg_geo_map_type') == "Road") {echo "checked";} ?>> Road<br><br />
                    <h4><input type="checkbox" name="ngg_geo_map_bev" value="1" <?php if (get_option('ngg_geo_map_bev') == 1) {echo "checked";} ?>>  &ensp; &ensp;  <? _e("Use Bird's-eye view", 'nextgen-gallery-geo'); ?></h4><span class="description"><? _e("Should the Bird's-eye view be used, if available? (a Bing-feature)", 'nextgen-gallery-geo'); ?></span>
                    <h4><input type="checkbox" name="ngg_geo_map_route" value="1" <?php if (get_option('ngg_geo_map_route') == 1) {echo "checked";} ?>>  &ensp; &ensp;  <? _e("Activate route-mode", 'nextgen-gallery-geo'); ?></h4><span class="description"><? _e("If activated, the photos are linked in chronological order to display your travel route", 'nextgen-gallery-geo'); ?></span><br />                    
                    <h4><input type="checkbox" name="ngg_geo_exif" value="1" <?php if (get_option('ngg_geo_exif') == 1) {echo "checked";} ?>> &ensp;&ensp; <? _e('show detailed EXIF informations, if available', 'nextgen-gallery-geo'); ?></h4>
                    <h4><input type="checkbox" name="ngg_geo_pushpins" value="1" <?php if (get_option('ngg_geo_pushpins') == 1) {echo "checked";} ?>> &ensp;&ensp; <? _e('use pushpins instead of thumbnails', 'nextgen-gallery-geo'); ?></h4>
                        
    			</div>
    			</div>

                

				<div id="sm_rebuild" class="postbox">
				<h3 style="font-family:Verdana, Geneva, sans-serif;"><p>&ensp;&ensp;<? _e('How should the maps be included?', 'nextgen-gallery-geo'); ?>   </p></h3>
				<div class="inside">
                	<input type="radio" name="ngg_geo_auto" value="1" <?php if (get_option('ngg_geo_auto') == 1) {echo "checked";} if (get_option('ngg_geo_auto') == 0) {echo "checked";} ?>> <? _e('automatically, when a gallery is used (recommended)', 'nextgen-gallery-geo'); ?><br />
					<input type="radio" name="ngg_geo_auto" value="2" <?php if (get_option('ngg_geo_auto') == 2) {echo "checked";} ?>> <? _e('By using the shortcode [nggg]', 'nextgen-gallery-geo'); ?><br>
    				<input type="radio" name="ngg_geo_auto" value="3" <?php if (get_option('ngg_geo_auto') == 3) {echo "checked";} ?>> <? _e('deactivated (You can include the php-function in your theme by-hand)', 'nextgen-gallery-geo'); ?><br>
    			</div>
    			</div>

                


				<div id="sm_rebuild" class="postbox">
				<h3 style="font-family:Verdana, Geneva, sans-serif;"><p>&ensp;&ensp;<? _e('Worldmap', 'nextgen-gallery-geo'); ?>   </p></h3>
				<div class="inside">
                    <input type="checkbox" name="ngg_geo_worldmap" value="1" <?php if (get_option('ngg_geo_worldmap') == 1) {echo "checked";} ?>> &ensp;&ensp; <? _e('activate worldmap', 'nextgen-gallery-geo'); ?><br /><br /><span class="description"><? _e('You can include the worldmap in your post by using the shortcode <code>[nggg worldmap]</code>. Alternatively, you can use the following php-function: <code> < ? ng_gallery_geo_show_worldmap(); ? > </code>', 'nextgen-gallery-geo'); ?></span><br />
                    <h4><? _e('Worldmap: Page ID', 'nextgen-gallery-geo'); ?></h4>
                    <input type="text" class="regular-text" name="ngg_geo_worldmap_page" value="<?php echo get_option('ngg_geo_worldmap_page'); ?>" /><br><span class="description"><? _e('Using worldmap-mode, every gallery is linked on its own. Actually, NextGEN Gallery does not allow to link a gallery directly, so the plugin links a page, which displays the particular gallery. You have to create a blank page, and type in its ID here.', 'nextgen-gallery-geo'); ?></span>
    			</div>
                </div>
                
              	<div id="sm_rebuild" class="postbox">
				<h3 style="font-family:Verdana, Geneva, sans-serif;"><p>&ensp;&ensp;<? _e('Preview Map', 'nextgen-gallery-geo'); ?>   </p></h3>
				<div class="inside">
                	<?  $example_map = ng_gallery_geo_example(); echo ng_gallery_geo("", $example_map); ?>
    			</div>
    			</div>
      
   

<p class="submit"><input type="submit" name="submit" value="<?php _e('Update options &raquo;'); ?>" /></p>
</form></div>

<script type="text/javascript">
jQuery('.postbox h3').prepend('<a class="togbox"></a> ');
jQuery('.postbox h3').click( function() {
   jQuery(jQuery(this).parent().get(0)).toggleClass('closed');
   save_postboxes_state(page); } );
   jQuery(document).ready( function() {
    jQuery('.postbox h3').prepend('<a class="togbox"></a> ');
    jQuery('.postbox h3').click( function() {
        jQuery(jQuery(this).parent().get(0)).toggleClass('closed');
    });
})
</script>
										
		




<?php
}?>