<? 

// function: add I18n
add_action( 'init', 'ng_gallery_geo_lang' );
function ng_gallery_geo_lang() 	{load_plugin_textdomain( 'nextgen-gallery-geo', false, 'nextgen-gallery-geo/lang' );}


// function: add header
function ng_gallery_geo_header() 
{
echo 		
'	<!-- NextGen Gallery geo plugin by Frederic Stuhldreier - frest.de -->
	<script charset="UTF-8" type="text/javascript" src="http://ecn.dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6.3&mkt='.get_bloginfo ("language").'"></script>
	<style type="text/css">
	.ngg_geo_map {width: '.get_option('ngg_geo_map_width').'; height: '.get_option('ngg_geo_map_height').'; position:relative;}
	</style>
	<!-- / NextGen Gallery geo plugin -->';
}
		
// function: calculate coordinates
function ng_gallery_geo_coordinates($picture_path)
{
	// get exif data
	$exif = exif_read_data($picture_path, 0 , false);

		// any coordinates available?
		
			if (!isset ($exif['GPSLongitude'][0])) {return false;}
			{
			// south or west?
			if ($exif['GPSLatitudeRef'] == "S") {$gps['latitude_string'] = -1; $gps['latitude_dicrection'] = "S";} else {$gps['latitude_string'] = 1; $gps['latitude_dicrection'] = "N";}
			if ($exif['GPSLongitudeRef'] == "W") {$gps['longitude_string'] = -1; $gps['longitude_dicrection'] = "W";} else {$gps['longitude_string'] = 1; $gps['longitude_dicrection'] = "E";}
			
			 $gps['latitude_hour'] = $exif["GPSLatitude"][0];
             $gps['latitude_minute'] = $exif["GPSLatitude"][1];
             $gps['latitude_second'] = $exif["GPSLatitude"][2];
             $gps['longitude_hour'] = $exif["GPSLongitude"][0];
             $gps['longitude_minute'] = $exif["GPSLongitude"][1];
             $gps['longitude_second'] = $exif["GPSLongitude"][2]; 
			 	
				
					// calculating 
					    foreach($gps as $key => $value) {
                        $pos = strpos($value, '/');
                        if($pos !== false) 
						{$temp = explode('/',$value); $gps[$key] = $temp[0] / $temp[1];}
                        }
 

			$geo['latitude_format'] = $gps['latitude_dicrection']." ".$gps['latitude_hour']."&deg;".$gps['latitude_minute']."&#x27;".round ($gps['latitude_second'], 4).'&#x22;';
			$geo['longitude_format'] = $gps['longitude_dicrection']." ".$gps['longitude_hour']."&deg;".$gps['longitude_minute']."&#x27;".round ($gps['longitude_second'], 4).'&#x22;';
			 
			$geo['latitude'] = $gps['latitude_string'] * ($gps['latitude_hour'] + ($gps['latitude_minute'] / 60) + ($gps['latitude_second'] / 3600));
			$geo['longitude'] = $gps['longitude_string'] * ($gps['longitude_hour'] + ($gps['longitude_minute'] / 60) + ($gps['longitude_second'] / 3600));
			return $geo;
			}
	
}

// function: add pin

function ngg_geo_add_pin ($picture_data, $picture_nr, $map_nr)
{
		// pushpins or thumbnails? (worldmap: pushpin)
		if (get_option('ngg_geo_pushpins') == 1 OR $picture_data->worldmap == 1) {$pushpin = "null";} else {$pushpin = '"'.site_url().'/wp-content/plugins/nextgen-gallery-geo/thumbnail.php?src='.urlencode($picture_data->thumbPath).'&p=40"';}
	
	$pin =	'var loc_'.$picture_nr.' = new VELatLong('.$picture_data->gps[latitude].','.$picture_data->gps[longitude].')'."\n";
	$pin .=	'var pin_'.$picture_nr.' = new VEPushpin('.$picture_nr.', loc_'.$picture_nr.', '.$pushpin.', "'.$picture_data->title.'", \''.ngg_geo_pin_desc ($picture_data, $picture_nr).'\');  '."\n";          
	$pin .=  'map_'.$map_nr.'.AddPushpin(pin_'.$picture_nr.');'."\n";
	$pin .=  'locs.push(loc_'.$picture_nr.');'."\n \n";
	return $pin;
}


// function: pin description

function ngg_geo_pin_desc ($picture_data, $picture_nr = NULL)
{
	//gallery description
	$pin_desc .= $picture_data->galdesc;
	//image
	$pin_desc .= '<br /><br /><a href="'.$picture_data->imageURL.'"  title="'.$picture_data->description.'" ><img src="'.$picture_data->imageURL.'"  height="165px" alt="%5$s" /></a><br /><br />';
	
	//picture description
	if (strlen ($picture_data->description) > 1) {$pin_desc .= $picture_data->description."<br /><br />";}
	
	//coordinates
	if (isset($picture_data->gps[longitude_format])) {$pin_desc .=  '<b>'.__('GPS coordinates', 'nextgen-gallery-geo').'</b><br />'.__('longitude', 'nextgen-gallery-geo').':  '.$picture_data->gps[longitude_format].'<br />'.__('latitude', 'nextgen-gallery-geo').':  '.$picture_data->gps[latitude_format];}
	
	//exif
	if (get_option('ngg_geo_exif') == 1)
	{
		if (strlen ($picture_data->meta_data[created_timestamp]) > 2 or strlen ($picture_data->meta_data[camera]) > 2 or strlen ($picture_data->meta_data[aperture]) > 2 or strlen ($picture_data->meta_data[iso] > 2))
		{$pin_desc .= '<br /><br /><b>EXIF</b><br />';} 
				
		if (strlen ($picture_data->meta_data[created_timestamp]) > 2) {$pin_desc .= __('date', 'nextgen-gallery-geo').":  ".$picture_data->meta_data[created_timestamp]."<br />";}
		if (strlen ($picture_data->meta_data[camera]) > 2) {$pin_desc .= __('camera', 'nextgen-gallery-geo').":  ".$picture_data->meta_data[camera]."<br />";}
		if (strlen ($picture_data->meta_data[aperture]) > 2 and strlen ($picture_data->meta_data[focal_length]) > 2) {$pin_desc .= __('aperture', 'nextgen-gallery-geo').": ".$picture_data->meta_data[aperture].", ".__('focal_length', 'nextgen-gallery-geo').": ".$picture_data->meta_data[focal_length]."<br />";}
		if (strlen ($picture_data->meta_data[iso]) > 2 and strlen ($picture_data->meta_data[shutter_speed]) > 2) {$pin_desc .= __('iso', 'nextgen-gallery-geo').": ".$picture_data->meta_data[iso].", ".__('shutter_speed', 'nextgen-gallery-geo').": ".$picture_data->meta_data[shutter_speed];}
	}
	
	//gallery link (used by worldmap)
	if (isset($picture_data->gallink)) {$pin_desc .= '<br /><br /><a style="color:#000; text-decoration: none;" href="'.$picture_data->gallink.'" title="'.__('more photos', 'nextgen-gallery-geo').'" target="_self">'.__('more photos', 'nextgen-gallery-geo').'</a>';}
	
	return $pin_desc;
}
			
// function: geocode
			function ngg_geo_geocode ($adresse)
			{
				/// Diese Funktion ermittelt aus einem Text nach Möglichkeit Koordinaten. Dabei können verschiedene Provider verwendet werden. 
				/// Die Wahl des Providers kann in den Einstellungen getroffen werden.
				
				$provider = get_option('ngg_geo_geocoding_provider');
				
				if ($provider == "google_v2")
				{
							$geo = file('http://maps.google.com/maps/geo?q='.rawurlencode("$adresse").'&output=csv');
							$response = split(",", $geo[0]);
							if ($response[0] == 200){
							$gps[latitude] = $response[2];
							$gps[longitude] = $response[3];
			
							// zu ungenau!
							if ($response[1] < 2) {return false;}
			
							}else{
							// Fehler
							return false;
							}
							
						 	return $gps;
				}
				
				if ($provider == ('google_v3'))
				
				{
							$jsonfile = file_get_contents('http://maps.google.com/maps/api/geocode/json?address='.rawurlencode($adresse).'&sensor=true');
							$jsonarray = json_decode($jsonfile, TRUE);
							
							// Fehler: keine Koordinaten
							if  ($jsonarray["status"] == "INVALID_REQUEST" or $jsonarray["status"] == "ZERO_RESULTS" ) {return false;}	
							
							$gps[latitude] = $jsonarray["results"][0]["geometry"]["location"]["lat"];
							$gps[longitude] = $jsonarray["results"][0]["geometry"]["location"]["lng"];
							return $gps;
				}
				
				if ($provider == ('openstreetmaps'))
				
				{
							$jsonfile = file_get_contents('http://nominatim.openstreetmap.org/search/?format=json&addressdetails=1&limit=1&q='.rawurlencode($adresse));
							// Fehler: keine Koordinaten
							if (!json_decode($jsonfile, TRUE)) {return false;}
							
							$jsonarray = json_decode($jsonfile, TRUE);
							$gps[latitude] = $jsonarray[0][lat];
							$gps[longitude] = $jsonarray[0][lon];
							return $gps;
				}
				
				if ($provider == ('yahoo'))
				
				{
							$jsonfile = file_get_contents('http://where.yahooapis.com/geocode?appid='.get_option('ngg_geo_geocoding_key').'&count=1&flags=JC&q='.rawurlencode($adresse));
							$jsonarray = json_decode($jsonfile, TRUE);
							
							// Fehler: keine Koordinaten
							if ($jsonarray[ResultSet][Found] == 0) {return false;}
							
							$gps[latitude] = $jsonarray[ResultSet][Results][0][latitude];
							$gps[longitude] = $jsonarray[ResultSet][Results][0][longitude];
							return $gps;
				}
			}
			

// function: get gallery id
function ngg_geo_get_id ($text)
{	
		
		// Aus dem Posttext wird die Galerie-ID ausgelesen
		if(strpos($text,"[nggallery id=")!==false) {$first = strpos ( $text, '[nggallery id=' );	$position = (14 + $first);}
		else {if(strpos($text,"[gallery=")!==false)	  {$first = strpos ( $text, '[gallery=' );	$position = (9 + $first);}
			
			else	{return false;}}
		
		$gallery_id = $text[$position];
		
		// how long is the id?
		if (is_numeric($text[($position + 1)])) {$gallery_id = $text[$position].$text[($position + 1)];
		if (is_numeric($text[($position + 2)])) {$gallery_id = $text[$position].$text[($position + 1)].$text[($position + 2)];
		if (is_numeric($text[($position + 3)])) {$gallery_id = $text[$position].$text[($position + 1)].$text[($position + 2)].$text[($position + 3)];}}}
		return $gallery_id;
}

//Funktion: Beim Editieren eines Artikels darf die Karte natürlich nicht eingeblendet werden

function ng_gallery_geo_no() {static $ng_gallery_geo_no = 1;}

add_action('edit_post', 'ng_gallery_geo_no');
add_action('wp_print_scripts', 'ng_gallery_geo_header');

// Funktion: Wenn eine Galerie eingebunden wird, wird versucht eine Karte zu erstellen
	
if (get_option('ngg_geo_auto') == 1) 	
{
	add_filter('ngg_gallery_output', 'ng_gallery_geo', 10, 2);
	add_filter('the_content', 'ng_gallery_geo_no_shortcode');
		
		// remove shortcodes
		function ng_gallery_geo_no_shortcode($content)	{$content = str_replace('[nggg]', '', $content); return $content;}
}

// Funktion: Sucht Daten zusammen, falls das Plugin nicht über den ngg filter aufgerufen wurde
function ng_gallery_geo_get_data($gallery_id = NULL)
{

}
		
// Funktion: Alternativ kann die Karte auch nur für den Fall angezeigt werden, dass sie im Text eingebunden wird (durch [nggg])
// Dafür wird die der shortcode durch die div box ersetzt, am Ende des Artikels wird die Karte gestartet (muss nach div sein)
// Vorraussetzung: Galerie ist in Artikel eingebunden

if (get_option('ngg_geo_auto') == 2) 	
{
	// add map
	add_filter('ngg_gallery_output', 'ng_gallery_geo', 10, 2);
	// add filter and start
	add_filter('the_content', 'ng_gallery_geo_auto_tag'); 	
}

function ng_gallery_geo_auto_tag($content)

	{
		// define shortcodes
		
		
		// single [nggg] shortcode, usage of ngg filter, no sql
		if (strpos($content, "[nggg]")!== false)  
			{
				$content  = str_replace('[nggg]', '<div id="ngg_geo_map_'.get_the_ID().'" class="ngg_geo_map"></div>', $content);
				$content .= '<script type="text/javascript">nggGeoMap(); </script>';
			}
			
		
		// shortcode [nggg id=18], gallery id is defined, sql needed	
		if (strpos($content,"[nggg id=")!== false) 
			{
				$first = strpos ($content, '[nggg id=' );	$position = (9 + $first);
				$gallery_id = $content[$position];
		
				// how long is the id?
				if (is_numeric($content[($position + 1)])) {$gallery_id = $content[$position].$content[($position + 1)];
				if (is_numeric($content[($position + 2)])) {$gallery_id = $content[$position].$content[($position + 1)].$content[($position + 2)];
				if (is_numeric($content[($position + 3)])) {$gallery_id = $content[$position].$content[($position + 1)].$content[($position + 2)].$content[($position + 3)];}}}
		
				$content  = str_replace("[nggg id=$gallery_id]", ng_gallery_geo_data($gallery_id).'<div id="ngg_geo_map_'.get_the_ID().'" class="ngg_geo_map"></div><script type="text/javascript">nggGeoMap(); </script>', $content);
			}
						
		return $content;
				
	}
	
// Funktion: Wenn auto mode deaktiviert ist, muss die ID über den Post ausgelesen werden, oder direkt übergeben werden

function ng_gallery_geo_data($id = NULL)

	{		
		// get the gallery id
		if (!isset ($id)) {$content = get_the_content(); $id = ngg_geo_get_id($content);}
		
	
		// SQL: get gallery data
		global $wpdb;
		$wpdb->ngg_gallery = $wpdb->prefix."ngg_gallery";
		$wpdb->ngg_pictures = $wpdb->prefix."ngg_pictures";

		$picturelist = $wpdb->get_results( 
		"SELECT path, filename, title, galdesc, gid, description
		FROM $wpdb->ngg_pictures, $wpdb->ngg_gallery
		WHERE $wpdb->ngg_pictures.galleryid = $id AND $wpdb->ngg_gallery.gid = $id", OBJECT );
		
		foreach ($picturelist as $key => $picture) 
		{
			$picturelist[$key]->imageURL = site_url()."/".$picture->path."/".$picture->filename;
			$picturelist[$key]->thumbURL = site_url()."/".$picture->path."/thumbs/thumbs_".$picture->filename;
			$picturelist[$key]->imagePath = $_SERVER['DOCUMENT_ROOT']."/".$picture->path."/".$picture->filename;
			$picturelist[$key]->thumbPath = $_SERVER['DOCUMENT_ROOT']."/".$picture->path."/thumbs/thumbs_".$picture->filename;
		}
		
		return ng_gallery_geo("", $picturelist);
	}
	
// Funktion: Die Daten werden direkt angezeigt, falls die Karte über die Funktion angezeigt werden soll

function ng_gallery_geo_show($id = NULL)
{
	echo ng_gallery_geo_data($id);
}




// Worldmap

if (get_option('ngg_geo_worldmap') == 1) 

{		

		// Funktion: Weltkarte direkt anzeigen, falls sie über die Funktion angezeigt werden soll
		function ng_gallery_geo_show_worldmap() {echo ngg_geo_worldmap();}
	
	
		// function: add worldmap shortcode
		add_filter('the_content', 'ngg_geo_worldmap_shortcode');
	
		function ngg_geo_worldmap_shortcode($content)
		{
			$content  = str_replace('[nggg worldmap]', ngg_geo_worldmap(), $content);
			return $content;
		}
		
		
		// function: enable worldmap links
		add_filter( 'the_content', 'ngg_geo_worldmap_links', 5 );
		function ngg_geo_worldmap_links($content)
		{
			if (get_the_ID() == get_option('ngg_geo_worldmap_page')) 
				{
					$content .= htmlentities("[nggallery id=".$_GET[nggg_id]."]", ENT_QUOTES);
				}
			return $content;
		}
		
		add_filter('the_title', 'ngg_geo_worldmap_links_title', 5);
		function ngg_geo_worldmap_links_title($title)
		{
				if (get_the_ID() == get_option('ngg_geo_worldmap_page')) 
				{
					$title = htmlentities($_GET[nggg_title], ENT_QUOTES);
				}
				
			return $title;
		}
		
		
		// function: get worldmap data
		function ngg_geo_worldmap()
		{
			// Einbinden der Wordpress Datenbank-Klasse
			global $wpdb;
			
			// Der Datenbank-Prefix wird ausgelesen und die Tabellennamen gespeichert
			$wpdb->ngg_gallery = $wpdb->prefix."ngg_gallery";
			$wpdb->ngg_pictures = $wpdb->prefix."ngg_pictures";
			
			// SQL: Die Informationen der Galerien werden abgerufen
			
			$picturelist = $wpdb->get_results( 
			"SELECT path, filename, title, galdesc, gid, description
			FROM $wpdb->ngg_pictures, $wpdb->ngg_gallery
			WHERE $wpdb->ngg_pictures.pid = $wpdb->ngg_gallery.previewpic", OBJECT );
		
				foreach ($picturelist as $key => $picture) 
				{	
					$arr_params = array ( 'nggg_id' => $picture->gid, 'nggg_title' => $picture->title );
					$ngg_geo_worldmap_page = get_option("ngg_geo_worldmap_page");
					
					$picturelist[$key]->imageURL = site_url()."/".$picture->path."/".$picture->filename;
					$picturelist[$key]->thumbURL = site_url()."/".$picture->path."/thumbs/thumbs_".$picture->filename;
					$picturelist[$key]->imagePath = $_SERVER['DOCUMENT_ROOT']."/".$picture->path."/".$picture->filename;
					$picturelist[$key]->thumbPath = $_SERVER['DOCUMENT_ROOT']."/".$picture->path."/thumbs/thumbs_".$picture->filename;
					
					// prepare gallery-link
					$picturelist[$key]->gallink = add_query_arg( $arr_params, get_permalink($ngg_geo_worldmap_page) );
					$picturelist[$key]->worldmap = 1;
				}
				
				return ng_gallery_geo("", $picturelist);
		}
}
		
