<?php

/*
Plugin Name: NextGEN Gallery geo
Plugin URI: http://wordpress.org/extend/plugins/nextgen-gallery-geo/
Description: NextGEN Gallery geo is a flexibe plugin, displaying beautiful maps with your photos by using EXIF Data or geocoding.
Version: 0.60
Author: Frederic Stuhldreier
Author URI: http://www.frest.de/
*/

include "administration.php";
include "functions.php";
include "worldmap.php";


function ng_gallery_geo ($out, $picturelist)
{
	
	
	// map number
	$map_nr = get_the_ID();
	
// initialising..
$map_output .= "\n".'<!-- begin NextGEN Gallery geo -->'."\n";
$map_output .= ''."\n";
$map_output .= '<script type="text/javascript">'."\n";		
$map_output .= 'var map_'.$map_nr.' = null;'."\n";							 
$map_output	.= 'function nggGeoMap() {'."\n".'map_'.$map_nr.' = new VEMap("ngg_geo_map_'.$map_nr.'"); map_'.$map_nr.'.HideDashboard(); map_'.$map_nr.'.LoadMap(); map_'.$map_nr.'.SetMapStyle(VEMapStyle.'.get_option("ngg_geo_map_type").');'."\n \n";
$map_output	.= 'var locs = [];'."\n";
	
	// searching for exif-geodata
	$picture_nr = 0;
	foreach ($picturelist as $picture_data) 
		{  
			// get exif-geodata
			if ($picture_data->gps = ng_gallery_geo_coordinates($picture_data->imagePath) ) 
				{$map_output .= ngg_geo_add_pin ($picture_data, $picture_nr, $map_nr); ++$picture_nr;} 
		}
	
	
	
	if ($picture_nr == 0) // no pins -> geocoding
	{
		if ($picture_data->gps = ngg_geo_geocode($picture_data->title))
		{$map_output .= ngg_geo_add_pin ($picture_data, $picture_nr, $map_nr); ++$picture_nr;}
		
		else {return $out;} //no data, no map
	}
	
	
	

	if ($picture_nr == 1) // 1 pin
	{

		// bev 
			if  (get_option('ngg_geo_map_bev') == 1) {	$map_output .=	'map_'.$map_nr.'.AttachEvent("onobliqueenter", OnObliqueEnterHandler_1); function OnObliqueEnterHandler_1() {	if (map_'.$map_nr.'.IsBirdseyeAvailable()) {  map_'.$map_nr.'.SetMapStyle(VEMapStyle.Birdseye); map_'.$map_nr.'.DetachEvent("onobliqueenter", OnObliqueEnterHandler_1);	}}'."\n"; }
				
		// Fokus
		$map_output .=  'map_'.$map_nr.'.SetCenterAndZoom(loc_0, 16);'."\n";
	}
	
	
	
	
	
	else // >1 Pin
	{
		//route-mode (deaktivated for worldpage)
		if (get_option('ngg_geo_map_route') == 1 AND $picture_data->worldmap != 1) {$map_output .= 'var routeColor = new VEColor(0,0,255,.2); var poly = new VEPolyline(12, locs, routeColor, 5); map_'.$map_nr.'.AddPolyline(poly);'."\n";}
		
		// Fokus
		$map_output .= 'map_'.$map_nr.'.SetMapView(locs);'."\n";
	}




$map_output	.= '}'."\n".'</script>'."\n";

// show div box & start map, if using auto-mode
if (get_option('ngg_geo_auto') != 2) {$map_output .= '<div id="ngg_geo_map_'.get_the_ID().'" class="ngg_geo_map"></div>'; $map_output .= '<script type="text/javascript">nggGeoMap(); </script>';}

$map_output .= '<!-- end NextGEN Gallery geo -->'."\n\n";


// show map
$out = $out.$map_output;
return $out;
}


?>